## GdaTreeMgrSchemas

GdaTreeMgrSchemas — A tree manager which creates a node for each schema in a database

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaTreeManager * | gda_tree_mgr_schemas_new ()

## Properties

GdaConnection * | connection | Read / Write / Construct Only
GdaMetaStore * | meta-store | Read / Write / Construct Only

## Types and Values

struct | GdaTreeMgrSchemas

## Object Hierarchy

        GObject
        ╰── GdaTreeManager
            ╰── GdaTreeMgrSchemas

## Includes

    #include <libgda/gda-statement-extra.h>

## Description

The GdaTreeMgrSchemas is a GdaTreeManager object which creates a node for each schema in a database.

It uses the GdaMetaStore associated to a GdaConnection to get the schemas list; it's up to the caller to make sure the data in the GdaMetaStore is up to date.

The GdaConnection to be used needs to be specified when the object is created.

## Functions

### gda_tree_mgr_schemas_new ()

    GdaTreeManager *
    gda_tree_mgr_schemas_new (GdaConnection *cnc);

Creates a new GdaTreeManager object which will add one tree node for each database schema found in `cnc` .

#### Parameters

cnc | a GdaConnection object |

#### Returns

a new GdaTreeManager object.

[transfer full]

Since: 4.2

## Types and Values

### struct GdaTreeMgrSchemas

    struct GdaTreeMgrSchemas;

## Property Details

### The `“connection”` property

      “connection”               GdaConnection *

Defines the GdaConnection to display information for. Necessary upon construction unless the “meta-store” property is specified instead.

Flags: Read / Write / Construct Only

### The `“meta-store”` property

      “meta-store”               GdaMetaStore *

Defines the GdaMetaStore to extract information from. Necessary upon construction unless the “connection” property is specified instead. This property has priority over the GdaTreeMgrSchema:connection property.

Flags: Read / Write / Construct Only

Since: 4.2.4